(function ($) {
    $.fn.barousel = function (callerSettings) {
        var settings = $.extend({
            contentWrapper: '.barousel_content',
            contentLinksWrapper: null,
            navWrapper: '#thslide_barousel_nav .thslide_list',
            contentResize: 0,
            contentResizeSpeed: 300,
			items:5
        }, callerSettings || {});

        settings.contentWrapper = $(this).find(settings.contentWrapper);
        settings.contentLinksWrapper = $(settings.contentLinksWrapper);
        settings.navWrapper = $(this).find(settings.navWrapper);
        settings.contentList = settings.contentWrapper.find('div').not('[class*=intro]'); 
        settings.contentLinksList = settings.contentLinksWrapper.find('a');
        settings.contentIntro = settings.contentWrapper.find('div[class*=intro]');
        settings.currentIndex = 0;
        settings.totalItem = this.items; 
		settings.contentList.each(function (n) { this.index = n; });
		settings.contentLinksList.each(function (n) { this.index = n; });
		settings.navList = settings.navWrapper.find('a');
		settings.navList.each(function (n) { this.index = n; });
		settings.navList.each(function (n) {
			$(this).click(function () {
				if (settings.currentIndex != n) {
					loadItem(settings, n);
					settings.currentIndex = n;
				}                     
				return false;
			});
		});
        return this;
    };
    var loadItem = function (settings, index) {
		settings.navList.each(function (n) { $(this).removeClass('current'); });
		$(settings.navList[index]).addClass('current');
		loadModuleContent(settings, index);  
    };
    var loadModuleContent = function (settings, index) {
 		loadModuleContentAction(settings, index);
    };
    var loadModuleContentAction = function (settings, index) {
        $(settings.contentList).hide();
        $(settings.contentList[index]).show();
        if (settings.contentLinksWrapper != null) {
            $(settings.contentLinksList).removeClass('current');
            $(settings.contentLinksList[index]).addClass('current');
        }
    };
})(jQuery);